using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls;
using Telerik.WinControls.UI;

namespace WindowsApplication1
{
    public partial class Form1 : ShapedForm
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.LoadAvailableThemes();
        }

        public void LoadAvailableThemes()
        {
            //get list of theme available for the ribbon
            ThemeList themes = ThemeResolutionService.GetAvailableThemes(this.radRibbonBar1);
            foreach (Theme theme in themes)
            {
                RadMenuItem item = new RadMenuItem(theme.ThemeName);
                item.Click += new EventHandler(changeTheme_Click);
                this.radDropDownButton1.Items.Add(item);
            }            
        }

        void changeTheme_Click(object sender, EventArgs e)
        {
            ThemeResolutionService.ApplicationThemeName = ((RadMenuItem) sender).Text;
        }
    }
}